import React from 'react';
import { SteppedRainbowIconDecoration } from '@atlaskit/editor-common/icons';
import EditFilledIcon from '@atlaskit/icon/glyph/edit-filled';
import { Box } from '@atlaskit/primitives';
export var EditorHighlightIcon = function EditorHighlightIcon(_ref) {
  var disabled = _ref.disabled,
    selectedColor = _ref.selectedColor;
  return /*#__PURE__*/React.createElement(Box, {
    paddingInline: "space.050"
  }, /*#__PURE__*/React.createElement(SteppedRainbowIconDecoration, {
    selectedColor: selectedColor,
    disabled: disabled,
    icon: /*#__PURE__*/React.createElement(EditFilledIcon, {
      size: "small",
      label: ""
    })
  }));
};