/// <reference types="react" />
import type { WrappedComponentProps } from 'react-intl-next';
import type { ExtractInjectionAPI } from '@atlaskit/editor-common/types';
import { type EditorView } from '@atlaskit/editor-prosemirror/view';
import type { HighlightPlugin } from '../plugin';
export declare const PrimaryToolbarHighlightColorWithIntl: import("react").FC<import("react-intl-next").WithIntlProps<{
    popupsMountPoint?: HTMLElement | undefined;
    popupsBoundariesElement?: HTMLElement | undefined;
    popupsScrollableElement?: HTMLElement | undefined;
    disabled: boolean;
    isToolbarReducedSpacing: boolean;
    pluginInjectionApi: ExtractInjectionAPI<HighlightPlugin> | undefined;
    editorView: EditorView;
} & WrappedComponentProps>> & {
    WrappedComponent: import("react").ComponentType<{
        popupsMountPoint?: HTMLElement | undefined;
        popupsBoundariesElement?: HTMLElement | undefined;
        popupsScrollableElement?: HTMLElement | undefined;
        disabled: boolean;
        isToolbarReducedSpacing: boolean;
        pluginInjectionApi: ExtractInjectionAPI<HighlightPlugin> | undefined;
        editorView: EditorView;
    } & WrappedComponentProps>;
};
