"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.EditorHighlightIcon = void 0;
var _react = _interopRequireDefault(require("react"));
var _icons = require("@atlaskit/editor-common/icons");
var _editFilled = _interopRequireDefault(require("@atlaskit/icon/glyph/edit-filled"));
var _primitives = require("@atlaskit/primitives");
var EditorHighlightIcon = exports.EditorHighlightIcon = function EditorHighlightIcon(_ref) {
  var disabled = _ref.disabled,
    selectedColor = _ref.selectedColor;
  return /*#__PURE__*/_react.default.createElement(_primitives.Box, {
    paddingInline: "space.050"
  }, /*#__PURE__*/_react.default.createElement(_icons.SteppedRainbowIconDecoration, {
    selectedColor: selectedColor,
    disabled: disabled,
    icon: /*#__PURE__*/_react.default.createElement(_editFilled.default, {
      size: "small",
      label: ""
    })
  }));
};