import { type INPUT_METHOD } from '@atlaskit/editor-common/analytics';
import type { Command, ExtractInjectionAPI } from '@atlaskit/editor-common/types';
import type { HighlightPlugin } from '../plugin';
export declare const togglePalette: (api: ExtractInjectionAPI<HighlightPlugin>) => ({ inputMethod }: {
    inputMethod: INPUT_METHOD;
}) => Command;
export declare const setPalette: (api: ExtractInjectionAPI<HighlightPlugin>) => ({ isPaletteOpen, inputMethod, }: {
    isPaletteOpen: boolean;
    inputMethod: INPUT_METHOD;
}) => Command;
